Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454014 - Review Request: tcl-tclvfs - Tcl extension for Virtual Filesystem support
Summary: Review Request: tcl-tclvfs - Tcl extension for Virtual Filesystem support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:12 UTC by Tom "spot" Callaway
Modified: 2008-10-23 16:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-22 17:22:43 UTC
mmaslano: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:12:59 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tclvfs.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tclvfs-20080503-1.fc10.src.rpm
Description: 
The TclVfs project aims to provide an extension to the Tcl language which
allows Virtual Filesystems to be built using Tcl scripts only. It is also a
repository of such Tcl-implemented filesystems (metakit, zip, ftp, tar,
http, webdav, namespace, url)

Comment 1 Marcela Mašláňová 2008-10-22 09:02:17 UTC
OK source files match upstream: 
3f6dbec91a305f97475d155ca6b1b563 tclvfs-20080503.tar.gz
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package looks complete.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
PASS

Comment 2 Tom "spot" Callaway 2008-10-22 16:50:27 UTC
New Package CVS Request
=======================
Package Name: tcl-tclvfs
Short Description: Tcl extension for Virtual Filesystem support
Owners: spot
Branches: F-8 F-9 devel EL-4 EL-5
InitialCC:

... and it's done.

Comment 3 Fedora Update System 2008-10-22 17:22:12 UTC
tcl-tclvfs-20080503-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tcl-tclvfs-20080503-1.fc8

Comment 4 Fedora Update System 2008-10-22 17:22:15 UTC
tcl-tclvfs-20080503-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcl-tclvfs-20080503-1.fc9

Comment 5 Tom "spot" Callaway 2008-10-22 17:22:43 UTC
Built in rawhide.

Comment 6 Fedora Update System 2008-10-23 16:35:28 UTC
tcl-tclvfs-20080503-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-10-23 16:37:22 UTC
tcl-tclvfs-20080503-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.